<?php
/**
 * @version		1.5.3.2 plugins/system/limit500.php
 * @package		J2XML
 * @subpackage	plg_system_limit500
 * @since		1.5.3-rc1.1
 *
 * @author		Helios Ciancio <info@eshiol.it>
 * @link		http://www.eshiol.it
 * @copyright	Copyright (C) 2010-2011 Helios Ciancio. All Rights Reserved
 * @license		http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL v3
 * J2XML is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License 
 * or other free or open source software licenses.
 */
 
// no direct access
defined('_JEXEC') or die('Restricted access.');

jimport('joomla.plugin.plugin');

class plgSystemLimit500 extends JPlugin
{
	var $params = null;
	/**
	 * CONSTRUCTOR
	 * @param object $subject The object to observe
	 * @param object $params  The object that holds the plugin parameters
	 * @since 1.5
	 */
	function __construct(&$subject, $params)
	{
		$this->params = $params;
		parent::__construct($subject, $params);
		JPlugin::loadLanguage('com_j2xml', JPATH_ADMINISTRATOR);
	}

	/**
	 * Method is called by index.php and administrator/index.php
	 *
	 * @access	public
	 */
	public function onAfterDispatch()
	{
		$app =& JFactory::getApplication();
		if($app->getName() != 'administrator') {
			return true;
		}
		$doc =& JFactory::getDocument();
		$js = 
			"window.addEvent('domready', function() {
			var limit = $('limit');
			if (limit == null) return;
			var option500 = document.createElement('option');
			option500.text = '500';
			option500.value = '500';".				
			($app->getUserStateFromRequest('global.list.limit', 'limit', $app->getCfg('list_limit'), 'int') == 500 
			? "option500.selected = 'selected';"
			: "")
			."
			var optionAll = limit.options[limit.options.length-1];  
			try {
							limit.add(option500, optionAll); // standards compliant; doesn't work in IE
			}
			catch(ex) {
				limit.add(option500, limit.options[limit.options.length-1]); // IE only
			}
		});";
		$doc->addScriptDeclaration($js);
	}
}
